#!/bin/bash
#
# Create the tedius part of the shader...

NUM_LIGHTS=8

(( MAX_LIGHT = NUM_LIGHTS - 1))

for i in $(seq 0 ${MAX_LIGHT}) ; do
    echo "                    output varying color light_diffuse_${i} = 0;"
done

for i in $(seq 0 ${MAX_LIGHT}) ; do
    echo "                    output varying color light_specular_${i} = 0;"
done

echo ") {"
echo ""

echo -n "    color diffuse_light_array[${NUM_LIGHTS=8}] = {"
for i in $(seq 1 ${MAX_LIGHT}) ; do
	echo -n "0, "
done
echo "0};"

echo -n "    color specular_light_array[${NUM_LIGHTS=8}] = {"
for i in $(seq 1 ${MAX_LIGHT}) ; do
	echo -n "0, "
done
echo "0};"


for i in $(seq 0 ${MAX_LIGHT}) ; do
    echo "    light_diffuse_${i} = Kd * diffuse_light_array[${i}];"
done

for i in $(seq 0 ${MAX_LIGHT}) ; do
    echo "    light_specular_${i} = Ks * specular_light_array[${i}];"
done
